Subject: Re: netlink circular locking dependency

From: Jarek Poplawski <[email-masked]>
Date: Wed, 18 Jun 2008 06:15:56 +0000

On Tue, Jun 17, 2008 at 09:30:12PM -0700, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Tue, 17 Jun 2008 13:43:03 +0000
> 
> > On Tue, Jun 17, 2008 at 03:27:18PM +0200, Patrick McHardy wrote:
> > ...
> > > I guess that might work. But simply using module references to
> > > prevent the module from going away while the mutex is not held
> > > doesn't appear to be more complicated.
> > 
> > O.K.
> 
> In the meantime should I apply Patrick's current patch
> from this thread?
> 
> If so I'd like a proper commit message and signoff, thanks!

I hope this is a question "To:" Patrick... (I'm OK with any
version of this patch as a temporary solution.)

Regards,
Jarek P.